## Patch Gateway Log `client.aiGateway.logs.edit(stringgatewayId, stringid, LogEditParamsparams, RequestOptionsoptions?): LogEditResponse` **patch** `/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/logs/{id}` Updates metadata for an AI Gateway log entry. ### Parameters - `gatewayId: string` gateway id - `id: string` - `params: LogEditParams` - `account_id: string` Path param - `feedback?: number | null` Body param - `metadata?: Record | null` Body param - `string` - `number` - `boolean` - `score?: number | null` Body param ### Returns - `LogEditResponse = unknown` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.aiGateway.logs.edit('my-gateway', 'id', { account_id: '0d37909e38d3e99c29fa2cd343ac421a', }); console.log(response); ``` #### Response ```json { "result": {}, "success": true } ```